package net.northking.cctp.common.util.excelUtil.excelEntity;

/**
 * @Author: chaoyi.zhang
 * @Date: 2020/8/26 0026
 */
public class SheetHead {
    /**
     * 列中文名
     */
    private String name;
    /**
     * 跨度_row
     */
    private Integer startRow;
    /**
     * 跨度_row
     */
    private Integer endRow;

    /**
     * 跨度_column
     */
    private String startCol;
    /**
     * 跨度_column
     */
    private String endCol;
    /**
     * 列设置下拉框值
     */
    private String[] address;
    /**
     * 是否必输
     */
    private String isFilled;
    /**
     * 增加批注内容
     * 由于批注代表必输项，则自定义批注只允许增加到必输项内
     */
    private String annotation;

    /**
     * 表头格式
     */
    private CellStyleTemplate cellStyleTemplate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStartRow() {
        return startRow;
    }

    public void setStartRow(Integer startRow) {
        this.startRow = startRow;
    }

    public Integer getEndRow() {
        return endRow;
    }

    public void setEndRow(Integer endRow) {
        this.endRow = endRow;
    }

    public String getStartCol() {
        return startCol;
    }

    public void setStartCol(String startCol) {
        this.startCol = startCol;
    }

    public String getEndCol() {
        return endCol;
    }

    public void setEndCol(String endCol) {
        this.endCol = endCol;
    }

    public CellStyleTemplate getCellStyleTemplate() {
        return cellStyleTemplate;
    }

    public void setCellStyleTemplate(CellStyleTemplate cellStyleTemplate) {
        this.cellStyleTemplate = cellStyleTemplate;
    }

    public String[] getAddress() {
        return address;
    }

    public void setAddress(String[] address) {
        this.address = address;
    }

    public String getIsFilled() {
        return isFilled;
    }

    public void setIsFilled(String isFilled) {
        this.isFilled = isFilled;
    }

    public String getAnnotation() {
        return annotation;
    }

    public void setAnnotation(String annotation) {
        this.annotation = annotation;
    }
}
